
	$(function() {
		load(1);
	});
	function load(page){
		var query=$("#q").val();
		var per_page=$("#per_page").val();
		var parametros = {"action":"ajax","page":page,'query':query,'per_page':per_page};
		$("#loader").fadeIn('slow');
		$.ajax({
			url:'./ajax/productos_ajax.php',
			data: parametros,
			 beforeSend: function(objeto){
			$("#loader").html("<img src='./img/ajax-loader.gif'>");
		  },
			success:function(data){
				$(".outer_div").html(data).fadeIn('slow');
				$("#loader").html("");
			}
		})
	}
	
	
	
	function per_page(valor){
		$("#per_page").val(valor);
		load(1);
		$('.dropdown-menu li' ).removeClass( "active" );
		$("#"+valor).addClass( "active" );
	}

	
	

		
//La funcion siguiente elimina datos usando el plugins confirm		

		function eliminar(id){
			//https://craftpip.github.io/jquery-confirm/ documentacion
			$.confirm({
				title: 'Mensaje del sistema',
				content: 'Esta acción  eliminará de forma permanente el producto \n\n Desea continuar?',
				buttons: {
					somethingElse: {
					text: 'Aceptar',
					btnClass: 'btn-blue',
					
					action: function(){
						var parametros = {"id":id};
						$.ajax({
								type: "GET",	
								url:'ajax/eliminar/producto.php',
								data: parametros,
								 beforeSend: function(objeto){
								$("#loader").html("<img src='./img/ajax-loader.gif'>");
							  },
								success:function(data){
									$("#resultados_ajax").html(data);
									$("#loader").html("");
									window.setTimeout(function() {
									$(".alert").fadeTo(500, 0).slideUp(500, function(){
									$(this).remove();});}, 5000);
									
									load(1);
								}
							})
				
					}
				},
				    cancelar: function () {
						//No hace nada :P
					}
				}
			});
		}
	
	
		function barcode_print(product_id, qty, width, height){
			VentanaCentrada('barcode-print-pdf.php?id='+product_id+'&qty='+qty+'&width='+width+'&height='+height,'Producto','','1024','768','true');
		}
	
	
		$('#barcodeModal').on('show.bs.modal', function (event) {
		  var button = $(event.relatedTarget) // Button that triggered the modal
		  var id = button.data('id') // Extract info from data-* attributes
		  var product_code = button.data('product_code')
		  var product_name = button.data('product_name')

		  var modal = $(this)
		  
		  modal.find('.modal-body #product_codes').val(product_code)
		  modal.find('.modal-body #product_names').val(product_name)
		  modal.find('.modal-body #product_id').val(id)
		})
	
	
	$( "#barcode_form" ).submit(function( event ) {
	 
	 var product_id=$("#product_id").val();
	 var label_qty=$("#label_qty").val();
	 var label_width=$("#label_width").val();
	 var label_height=$("#label_height").val();
	 
	 barcode_print(product_id, label_qty, label_width, label_height)
	
	$('#barcodeModal').modal('hide');
	  event.preventDefault();
	});
	



